Summary: The RPC portmapper
Name: hhl-target-portmap
Version: 5beta
Release: %{_hhl_build_id}.2
Source: ftp://coast.cs.purdue.edu/pub/tools/unix/netutils/portmap/portmap_%{version}.tar.gz
Source1: portmap.tmpl
Patch: portmap_5-1.diff.gz
Patch10: portmap_5beta-makefile.patch
Patch11: portmap_copyright.patch
patch12: portmap-initd.diff
License: Other
Group: net
Buildroot: %{_tmppath}/%{name}-%{_hhl_target_arch}-root
Prefix: %{_hhl_cross_target_dir}
%define _docdir		%{_hhl_cross_target_dir}%{_hhl_target_doc_dir}
BuildRequires: hhl-%{_hhl_target_arch}-libwrap-dev

%description
Portmap is a server that converts RPC (Remote Procedure Call) program
numbers into DARPA protocol port numbers.  It must be running in order
to make RPC calls.

Services that use RPC include NFS and NIS.

# portmap
%package -n hhl-%{_hhl_target_arch}-portmap
Summary: The RPC portmapper
Group: net
AutoReqProv: no
Requires: hhl-%{_hhl_target_arch}-libwrap, hhl-%{_hhl_target_arch}-hardhatutils, hhl-%{_hhl_target_arch}-initscripts
%description -n hhl-%{_hhl_target_arch}-portmap
Portmap is a server that converts RPC (Remote Procedure Call) program
numbers into DARPA protocol port numbers.  It must be running in order
to make RPC calls.

Services that use RPC include NFS and NIS.

%prep
%target_check
%setup -q -n portmap_%{version}
%patch -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1

%build
%target_setup
%make | tee build.log

%install
rm -rf %{buildroot}
%target_setup
mkdir -p %{buildroot}%{_hhl_cross_target_dir}/sbin
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/rc.d/init.d

%make BASEDIR=%{buildroot}%{_hhl_cross_target_dir} install | tee -a build.log
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/init.d
install -m 0755 debian/init.d %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/init.d/portmap

gzip -v9 %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man*/*
cp debian/copyright LICENSE

install -d %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages
export HHL_TOOL_PREFIX=%{_hhl_target_toolprefix}
genpkgdesc %{buildroot}%{_hhl_cross_target_dir} %{SOURCE1} > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/portmap

%post -n hhl-%{_hhl_target_arch}-portmap
%target_script_prefix_setup
# Register the service
(%{_hhl_target_toolprefix}initdconfig --add portmap) &> /dev/null \
	|| echo "Unable to enable initd service: portmap"

%clean
rm -rf %{buildroot}

%files -n hhl-%{_hhl_target_arch}-portmap
%defattr(-,root,root)

%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/pmap_dump.8.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/pmap_set.8.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/portmap.8.gz
%config %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/init.d/portmap
%{_hhl_cross_target_dir}/sbin/pmap_dump
%{_hhl_cross_target_dir}/sbin/pmap_set
%{_hhl_cross_target_dir}/sbin/portmap
%doc BLURB CHANGES README build.log debian/copyright
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/portmap
%doc LICENSE
%changelog
* Fri Apr 20 2001 Automated script (run by Steve Kinneberg <skinneberg@mvista.com>)
- Added TCT package description files
* Tue Jan 23 2001 Mark Hatle <source@mvista.com>
- First cut

